Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network99.128.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
99.128.0.0
Broadcast address
99.255.255.255
First usable
99.128.0.1
Last usable
99.255.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 63800000 · Integer 1669332992 to 1677721599
Reverse DNS zones
128.99.in-addr.arpa
129.99.in-addr.arpa
130.99.in-addr.arpa
131.99.in-addr.arpa
132.99.in-addr.arpa
133.99.in-addr.arpa
134.99.in-addr.arpa
135.99.in-addr.arpa
136.99.in-addr.arpa
137.99.in-addr.arpa
138.99.in-addr.arpa
139.99.in-addr.arpa
140.99.in-addr.arpa
141.99.in-addr.arpa
142.99.in-addr.arpa
143.99.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01100011.10000000.00000000.0000000099.128.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network01100011.10000000.00000000.0000000099.128.0.0
Broadcast01100011.11111111.11111111.1111111199.255.255.255
Split into smaller subnets/18

99.128.0.0/9 makes 512 subnets of /18; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
199.128.0.0/1899.128.0.1 to 99.128.63.25499.128.63.25516,382
299.128.64.0/1899.128.64.1 to 99.128.127.25499.128.127.25516,382
399.128.128.0/1899.128.128.1 to 99.128.191.25499.128.191.25516,382
499.128.192.0/1899.128.192.1 to 99.128.255.25499.128.255.25516,382
599.129.0.0/1899.129.0.1 to 99.129.63.25499.129.63.25516,382
699.129.64.0/1899.129.64.1 to 99.129.127.25499.129.127.25516,382
799.129.128.0/1899.129.128.1 to 99.129.191.25499.129.191.25516,382
899.129.192.0/1899.129.192.1 to 99.129.255.25499.129.255.25516,382
999.130.0.0/1899.130.0.1 to 99.130.63.25499.130.63.25516,382
1099.130.64.0/1899.130.64.1 to 99.130.127.25499.130.127.25516,382
1199.130.128.0/1899.130.128.1 to 99.130.191.25499.130.191.25516,382
1299.130.192.0/1899.130.192.1 to 99.130.255.25499.130.255.25516,382
1399.131.0.0/1899.131.0.1 to 99.131.63.25499.131.63.25516,382
1499.131.64.0/1899.131.64.1 to 99.131.127.25499.131.127.25516,382
1599.131.128.0/1899.131.128.1 to 99.131.191.25499.131.191.25516,382
1699.131.192.0/1899.131.192.1 to 99.131.255.25499.131.255.25516,382
1799.132.0.0/1899.132.0.1 to 99.132.63.25499.132.63.25516,382
1899.132.64.0/1899.132.64.1 to 99.132.127.25499.132.127.25516,382
1999.132.128.0/1899.132.128.1 to 99.132.191.25499.132.191.25516,382
2099.132.192.0/1899.132.192.1 to 99.132.255.25499.132.255.25516,382
2199.133.0.0/1899.133.0.1 to 99.133.63.25499.133.63.25516,382
2299.133.64.0/1899.133.64.1 to 99.133.127.25499.133.127.25516,382
2399.133.128.0/1899.133.128.1 to 99.133.191.25499.133.191.25516,382
2499.133.192.0/1899.133.192.1 to 99.133.255.25499.133.255.25516,382
2599.134.0.0/1899.134.0.1 to 99.134.63.25499.134.63.25516,382
2699.134.64.0/1899.134.64.1 to 99.134.127.25499.134.127.25516,382
2799.134.128.0/1899.134.128.1 to 99.134.191.25499.134.191.25516,382
2899.134.192.0/1899.134.192.1 to 99.134.255.25499.134.255.25516,382
2999.135.0.0/1899.135.0.1 to 99.135.63.25499.135.63.25516,382
3099.135.64.0/1899.135.64.1 to 99.135.127.25499.135.127.25516,382
3199.135.128.0/1899.135.128.1 to 99.135.191.25499.135.191.25516,382
3299.135.192.0/1899.135.192.1 to 99.135.255.25499.135.255.25516,382
3399.136.0.0/1899.136.0.1 to 99.136.63.25499.136.63.25516,382
3499.136.64.0/1899.136.64.1 to 99.136.127.25499.136.127.25516,382
3599.136.128.0/1899.136.128.1 to 99.136.191.25499.136.191.25516,382
3699.136.192.0/1899.136.192.1 to 99.136.255.25499.136.255.25516,382
3799.137.0.0/1899.137.0.1 to 99.137.63.25499.137.63.25516,382
3899.137.64.0/1899.137.64.1 to 99.137.127.25499.137.127.25516,382
3999.137.128.0/1899.137.128.1 to 99.137.191.25499.137.191.25516,382
4099.137.192.0/1899.137.192.1 to 99.137.255.25499.137.255.25516,382
4199.138.0.0/1899.138.0.1 to 99.138.63.25499.138.63.25516,382
4299.138.64.0/1899.138.64.1 to 99.138.127.25499.138.127.25516,382
4399.138.128.0/1899.138.128.1 to 99.138.191.25499.138.191.25516,382
4499.138.192.0/1899.138.192.1 to 99.138.255.25499.138.255.25516,382
4599.139.0.0/1899.139.0.1 to 99.139.63.25499.139.63.25516,382
4699.139.64.0/1899.139.64.1 to 99.139.127.25499.139.127.25516,382
4799.139.128.0/1899.139.128.1 to 99.139.191.25499.139.191.25516,382
4899.139.192.0/1899.139.192.1 to 99.139.255.25499.139.255.25516,382
4999.140.0.0/1899.140.0.1 to 99.140.63.25499.140.63.25516,382
5099.140.64.0/1899.140.64.1 to 99.140.127.25499.140.127.25516,382
5199.140.128.0/1899.140.128.1 to 99.140.191.25499.140.191.25516,382
5299.140.192.0/1899.140.192.1 to 99.140.255.25499.140.255.25516,382
5399.141.0.0/1899.141.0.1 to 99.141.63.25499.141.63.25516,382
5499.141.64.0/1899.141.64.1 to 99.141.127.25499.141.127.25516,382
5599.141.128.0/1899.141.128.1 to 99.141.191.25499.141.191.25516,382
5699.141.192.0/1899.141.192.1 to 99.141.255.25499.141.255.25516,382
5799.142.0.0/1899.142.0.1 to 99.142.63.25499.142.63.25516,382
5899.142.64.0/1899.142.64.1 to 99.142.127.25499.142.127.25516,382
5999.142.128.0/1899.142.128.1 to 99.142.191.25499.142.191.25516,382
6099.142.192.0/1899.142.192.1 to 99.142.255.25499.142.255.25516,382
6199.143.0.0/1899.143.0.1 to 99.143.63.25499.143.63.25516,382
6299.143.64.0/1899.143.64.1 to 99.143.127.25499.143.127.25516,382
6399.143.128.0/1899.143.128.1 to 99.143.191.25499.143.191.25516,382
6499.143.192.0/1899.143.192.1 to 99.143.255.25499.143.255.25516,382
6599.144.0.0/1899.144.0.1 to 99.144.63.25499.144.63.25516,382
6699.144.64.0/1899.144.64.1 to 99.144.127.25499.144.127.25516,382
6799.144.128.0/1899.144.128.1 to 99.144.191.25499.144.191.25516,382
6899.144.192.0/1899.144.192.1 to 99.144.255.25499.144.255.25516,382
6999.145.0.0/1899.145.0.1 to 99.145.63.25499.145.63.25516,382
7099.145.64.0/1899.145.64.1 to 99.145.127.25499.145.127.25516,382
7199.145.128.0/1899.145.128.1 to 99.145.191.25499.145.191.25516,382
7299.145.192.0/1899.145.192.1 to 99.145.255.25499.145.255.25516,382
7399.146.0.0/1899.146.0.1 to 99.146.63.25499.146.63.25516,382
7499.146.64.0/1899.146.64.1 to 99.146.127.25499.146.127.25516,382
7599.146.128.0/1899.146.128.1 to 99.146.191.25499.146.191.25516,382
7699.146.192.0/1899.146.192.1 to 99.146.255.25499.146.255.25516,382
7799.147.0.0/1899.147.0.1 to 99.147.63.25499.147.63.25516,382
7899.147.64.0/1899.147.64.1 to 99.147.127.25499.147.127.25516,382
7999.147.128.0/1899.147.128.1 to 99.147.191.25499.147.191.25516,382
8099.147.192.0/1899.147.192.1 to 99.147.255.25499.147.255.25516,382
8199.148.0.0/1899.148.0.1 to 99.148.63.25499.148.63.25516,382
8299.148.64.0/1899.148.64.1 to 99.148.127.25499.148.127.25516,382
8399.148.128.0/1899.148.128.1 to 99.148.191.25499.148.191.25516,382
8499.148.192.0/1899.148.192.1 to 99.148.255.25499.148.255.25516,382
8599.149.0.0/1899.149.0.1 to 99.149.63.25499.149.63.25516,382
8699.149.64.0/1899.149.64.1 to 99.149.127.25499.149.127.25516,382
8799.149.128.0/1899.149.128.1 to 99.149.191.25499.149.191.25516,382
8899.149.192.0/1899.149.192.1 to 99.149.255.25499.149.255.25516,382
8999.150.0.0/1899.150.0.1 to 99.150.63.25499.150.63.25516,382
9099.150.64.0/1899.150.64.1 to 99.150.127.25499.150.127.25516,382
9199.150.128.0/1899.150.128.1 to 99.150.191.25499.150.191.25516,382
9299.150.192.0/1899.150.192.1 to 99.150.255.25499.150.255.25516,382
9399.151.0.0/1899.151.0.1 to 99.151.63.25499.151.63.25516,382
9499.151.64.0/1899.151.64.1 to 99.151.127.25499.151.127.25516,382
9599.151.128.0/1899.151.128.1 to 99.151.191.25499.151.191.25516,382
9699.151.192.0/1899.151.192.1 to 99.151.255.25499.151.255.25516,382
9799.152.0.0/1899.152.0.1 to 99.152.63.25499.152.63.25516,382
9899.152.64.0/1899.152.64.1 to 99.152.127.25499.152.127.25516,382
9999.152.128.0/1899.152.128.1 to 99.152.191.25499.152.191.25516,382
10099.152.192.0/1899.152.192.1 to 99.152.255.25499.152.255.25516,382
10199.153.0.0/1899.153.0.1 to 99.153.63.25499.153.63.25516,382
10299.153.64.0/1899.153.64.1 to 99.153.127.25499.153.127.25516,382
10399.153.128.0/1899.153.128.1 to 99.153.191.25499.153.191.25516,382
10499.153.192.0/1899.153.192.1 to 99.153.255.25499.153.255.25516,382
10599.154.0.0/1899.154.0.1 to 99.154.63.25499.154.63.25516,382
10699.154.64.0/1899.154.64.1 to 99.154.127.25499.154.127.25516,382
10799.154.128.0/1899.154.128.1 to 99.154.191.25499.154.191.25516,382
10899.154.192.0/1899.154.192.1 to 99.154.255.25499.154.255.25516,382
10999.155.0.0/1899.155.0.1 to 99.155.63.25499.155.63.25516,382
11099.155.64.0/1899.155.64.1 to 99.155.127.25499.155.127.25516,382
11199.155.128.0/1899.155.128.1 to 99.155.191.25499.155.191.25516,382
11299.155.192.0/1899.155.192.1 to 99.155.255.25499.155.255.25516,382
11399.156.0.0/1899.156.0.1 to 99.156.63.25499.156.63.25516,382
11499.156.64.0/1899.156.64.1 to 99.156.127.25499.156.127.25516,382
11599.156.128.0/1899.156.128.1 to 99.156.191.25499.156.191.25516,382
11699.156.192.0/1899.156.192.1 to 99.156.255.25499.156.255.25516,382
11799.157.0.0/1899.157.0.1 to 99.157.63.25499.157.63.25516,382
11899.157.64.0/1899.157.64.1 to 99.157.127.25499.157.127.25516,382
11999.157.128.0/1899.157.128.1 to 99.157.191.25499.157.191.25516,382
12099.157.192.0/1899.157.192.1 to 99.157.255.25499.157.255.25516,382
12199.158.0.0/1899.158.0.1 to 99.158.63.25499.158.63.25516,382
12299.158.64.0/1899.158.64.1 to 99.158.127.25499.158.127.25516,382
12399.158.128.0/1899.158.128.1 to 99.158.191.25499.158.191.25516,382
12499.158.192.0/1899.158.192.1 to 99.158.255.25499.158.255.25516,382
12599.159.0.0/1899.159.0.1 to 99.159.63.25499.159.63.25516,382
12699.159.64.0/1899.159.64.1 to 99.159.127.25499.159.127.25516,382
12799.159.128.0/1899.159.128.1 to 99.159.191.25499.159.191.25516,382
12899.159.192.0/1899.159.192.1 to 99.159.255.25499.159.255.25516,382
12999.160.0.0/1899.160.0.1 to 99.160.63.25499.160.63.25516,382
13099.160.64.0/1899.160.64.1 to 99.160.127.25499.160.127.25516,382
13199.160.128.0/1899.160.128.1 to 99.160.191.25499.160.191.25516,382
13299.160.192.0/1899.160.192.1 to 99.160.255.25499.160.255.25516,382
13399.161.0.0/1899.161.0.1 to 99.161.63.25499.161.63.25516,382
13499.161.64.0/1899.161.64.1 to 99.161.127.25499.161.127.25516,382
13599.161.128.0/1899.161.128.1 to 99.161.191.25499.161.191.25516,382
13699.161.192.0/1899.161.192.1 to 99.161.255.25499.161.255.25516,382
13799.162.0.0/1899.162.0.1 to 99.162.63.25499.162.63.25516,382
13899.162.64.0/1899.162.64.1 to 99.162.127.25499.162.127.25516,382
13999.162.128.0/1899.162.128.1 to 99.162.191.25499.162.191.25516,382
14099.162.192.0/1899.162.192.1 to 99.162.255.25499.162.255.25516,382
14199.163.0.0/1899.163.0.1 to 99.163.63.25499.163.63.25516,382
14299.163.64.0/1899.163.64.1 to 99.163.127.25499.163.127.25516,382
14399.163.128.0/1899.163.128.1 to 99.163.191.25499.163.191.25516,382
14499.163.192.0/1899.163.192.1 to 99.163.255.25499.163.255.25516,382
14599.164.0.0/1899.164.0.1 to 99.164.63.25499.164.63.25516,382
14699.164.64.0/1899.164.64.1 to 99.164.127.25499.164.127.25516,382
14799.164.128.0/1899.164.128.1 to 99.164.191.25499.164.191.25516,382
14899.164.192.0/1899.164.192.1 to 99.164.255.25499.164.255.25516,382
14999.165.0.0/1899.165.0.1 to 99.165.63.25499.165.63.25516,382
15099.165.64.0/1899.165.64.1 to 99.165.127.25499.165.127.25516,382
15199.165.128.0/1899.165.128.1 to 99.165.191.25499.165.191.25516,382
15299.165.192.0/1899.165.192.1 to 99.165.255.25499.165.255.25516,382
15399.166.0.0/1899.166.0.1 to 99.166.63.25499.166.63.25516,382
15499.166.64.0/1899.166.64.1 to 99.166.127.25499.166.127.25516,382
15599.166.128.0/1899.166.128.1 to 99.166.191.25499.166.191.25516,382
15699.166.192.0/1899.166.192.1 to 99.166.255.25499.166.255.25516,382
15799.167.0.0/1899.167.0.1 to 99.167.63.25499.167.63.25516,382
15899.167.64.0/1899.167.64.1 to 99.167.127.25499.167.127.25516,382
15999.167.128.0/1899.167.128.1 to 99.167.191.25499.167.191.25516,382
16099.167.192.0/1899.167.192.1 to 99.167.255.25499.167.255.25516,382
16199.168.0.0/1899.168.0.1 to 99.168.63.25499.168.63.25516,382
16299.168.64.0/1899.168.64.1 to 99.168.127.25499.168.127.25516,382
16399.168.128.0/1899.168.128.1 to 99.168.191.25499.168.191.25516,382
16499.168.192.0/1899.168.192.1 to 99.168.255.25499.168.255.25516,382
16599.169.0.0/1899.169.0.1 to 99.169.63.25499.169.63.25516,382
16699.169.64.0/1899.169.64.1 to 99.169.127.25499.169.127.25516,382
16799.169.128.0/1899.169.128.1 to 99.169.191.25499.169.191.25516,382
16899.169.192.0/1899.169.192.1 to 99.169.255.25499.169.255.25516,382
16999.170.0.0/1899.170.0.1 to 99.170.63.25499.170.63.25516,382
17099.170.64.0/1899.170.64.1 to 99.170.127.25499.170.127.25516,382
17199.170.128.0/1899.170.128.1 to 99.170.191.25499.170.191.25516,382
17299.170.192.0/1899.170.192.1 to 99.170.255.25499.170.255.25516,382
17399.171.0.0/1899.171.0.1 to 99.171.63.25499.171.63.25516,382
17499.171.64.0/1899.171.64.1 to 99.171.127.25499.171.127.25516,382
17599.171.128.0/1899.171.128.1 to 99.171.191.25499.171.191.25516,382
17699.171.192.0/1899.171.192.1 to 99.171.255.25499.171.255.25516,382
17799.172.0.0/1899.172.0.1 to 99.172.63.25499.172.63.25516,382
17899.172.64.0/1899.172.64.1 to 99.172.127.25499.172.127.25516,382
17999.172.128.0/1899.172.128.1 to 99.172.191.25499.172.191.25516,382
18099.172.192.0/1899.172.192.1 to 99.172.255.25499.172.255.25516,382
18199.173.0.0/1899.173.0.1 to 99.173.63.25499.173.63.25516,382
18299.173.64.0/1899.173.64.1 to 99.173.127.25499.173.127.25516,382
18399.173.128.0/1899.173.128.1 to 99.173.191.25499.173.191.25516,382
18499.173.192.0/1899.173.192.1 to 99.173.255.25499.173.255.25516,382
18599.174.0.0/1899.174.0.1 to 99.174.63.25499.174.63.25516,382
18699.174.64.0/1899.174.64.1 to 99.174.127.25499.174.127.25516,382
18799.174.128.0/1899.174.128.1 to 99.174.191.25499.174.191.25516,382
18899.174.192.0/1899.174.192.1 to 99.174.255.25499.174.255.25516,382
18999.175.0.0/1899.175.0.1 to 99.175.63.25499.175.63.25516,382
19099.175.64.0/1899.175.64.1 to 99.175.127.25499.175.127.25516,382
19199.175.128.0/1899.175.128.1 to 99.175.191.25499.175.191.25516,382
19299.175.192.0/1899.175.192.1 to 99.175.255.25499.175.255.25516,382
19399.176.0.0/1899.176.0.1 to 99.176.63.25499.176.63.25516,382
19499.176.64.0/1899.176.64.1 to 99.176.127.25499.176.127.25516,382
19599.176.128.0/1899.176.128.1 to 99.176.191.25499.176.191.25516,382
19699.176.192.0/1899.176.192.1 to 99.176.255.25499.176.255.25516,382
19799.177.0.0/1899.177.0.1 to 99.177.63.25499.177.63.25516,382
19899.177.64.0/1899.177.64.1 to 99.177.127.25499.177.127.25516,382
19999.177.128.0/1899.177.128.1 to 99.177.191.25499.177.191.25516,382
20099.177.192.0/1899.177.192.1 to 99.177.255.25499.177.255.25516,382
20199.178.0.0/1899.178.0.1 to 99.178.63.25499.178.63.25516,382
20299.178.64.0/1899.178.64.1 to 99.178.127.25499.178.127.25516,382
20399.178.128.0/1899.178.128.1 to 99.178.191.25499.178.191.25516,382
20499.178.192.0/1899.178.192.1 to 99.178.255.25499.178.255.25516,382
20599.179.0.0/1899.179.0.1 to 99.179.63.25499.179.63.25516,382
20699.179.64.0/1899.179.64.1 to 99.179.127.25499.179.127.25516,382
20799.179.128.0/1899.179.128.1 to 99.179.191.25499.179.191.25516,382
20899.179.192.0/1899.179.192.1 to 99.179.255.25499.179.255.25516,382
20999.180.0.0/1899.180.0.1 to 99.180.63.25499.180.63.25516,382
21099.180.64.0/1899.180.64.1 to 99.180.127.25499.180.127.25516,382
21199.180.128.0/1899.180.128.1 to 99.180.191.25499.180.191.25516,382
21299.180.192.0/1899.180.192.1 to 99.180.255.25499.180.255.25516,382
21399.181.0.0/1899.181.0.1 to 99.181.63.25499.181.63.25516,382
21499.181.64.0/1899.181.64.1 to 99.181.127.25499.181.127.25516,382
21599.181.128.0/1899.181.128.1 to 99.181.191.25499.181.191.25516,382
21699.181.192.0/1899.181.192.1 to 99.181.255.25499.181.255.25516,382
21799.182.0.0/1899.182.0.1 to 99.182.63.25499.182.63.25516,382
21899.182.64.0/1899.182.64.1 to 99.182.127.25499.182.127.25516,382
21999.182.128.0/1899.182.128.1 to 99.182.191.25499.182.191.25516,382
22099.182.192.0/1899.182.192.1 to 99.182.255.25499.182.255.25516,382
22199.183.0.0/1899.183.0.1 to 99.183.63.25499.183.63.25516,382
22299.183.64.0/1899.183.64.1 to 99.183.127.25499.183.127.25516,382
22399.183.128.0/1899.183.128.1 to 99.183.191.25499.183.191.25516,382
22499.183.192.0/1899.183.192.1 to 99.183.255.25499.183.255.25516,382
22599.184.0.0/1899.184.0.1 to 99.184.63.25499.184.63.25516,382
22699.184.64.0/1899.184.64.1 to 99.184.127.25499.184.127.25516,382
22799.184.128.0/1899.184.128.1 to 99.184.191.25499.184.191.25516,382
22899.184.192.0/1899.184.192.1 to 99.184.255.25499.184.255.25516,382
22999.185.0.0/1899.185.0.1 to 99.185.63.25499.185.63.25516,382
23099.185.64.0/1899.185.64.1 to 99.185.127.25499.185.127.25516,382
23199.185.128.0/1899.185.128.1 to 99.185.191.25499.185.191.25516,382
23299.185.192.0/1899.185.192.1 to 99.185.255.25499.185.255.25516,382
23399.186.0.0/1899.186.0.1 to 99.186.63.25499.186.63.25516,382
23499.186.64.0/1899.186.64.1 to 99.186.127.25499.186.127.25516,382
23599.186.128.0/1899.186.128.1 to 99.186.191.25499.186.191.25516,382
23699.186.192.0/1899.186.192.1 to 99.186.255.25499.186.255.25516,382
23799.187.0.0/1899.187.0.1 to 99.187.63.25499.187.63.25516,382
23899.187.64.0/1899.187.64.1 to 99.187.127.25499.187.127.25516,382
23999.187.128.0/1899.187.128.1 to 99.187.191.25499.187.191.25516,382
24099.187.192.0/1899.187.192.1 to 99.187.255.25499.187.255.25516,382
24199.188.0.0/1899.188.0.1 to 99.188.63.25499.188.63.25516,382
24299.188.64.0/1899.188.64.1 to 99.188.127.25499.188.127.25516,382
24399.188.128.0/1899.188.128.1 to 99.188.191.25499.188.191.25516,382
24499.188.192.0/1899.188.192.1 to 99.188.255.25499.188.255.25516,382
24599.189.0.0/1899.189.0.1 to 99.189.63.25499.189.63.25516,382
24699.189.64.0/1899.189.64.1 to 99.189.127.25499.189.127.25516,382
24799.189.128.0/1899.189.128.1 to 99.189.191.25499.189.191.25516,382
24899.189.192.0/1899.189.192.1 to 99.189.255.25499.189.255.25516,382
24999.190.0.0/1899.190.0.1 to 99.190.63.25499.190.63.25516,382
25099.190.64.0/1899.190.64.1 to 99.190.127.25499.190.127.25516,382
25199.190.128.0/1899.190.128.1 to 99.190.191.25499.190.191.25516,382
25299.190.192.0/1899.190.192.1 to 99.190.255.25499.190.255.25516,382
25399.191.0.0/1899.191.0.1 to 99.191.63.25499.191.63.25516,382
25499.191.64.0/1899.191.64.1 to 99.191.127.25499.191.127.25516,382
25599.191.128.0/1899.191.128.1 to 99.191.191.25499.191.191.25516,382
25699.191.192.0/1899.191.192.1 to 99.191.255.25499.191.255.25516,382

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses